Ads
Get an ad
Requires scope ads:read.
GET
/
ads
/
ads
/
{id}
Get an ad
curl --request GET \
--url https://api.smartlyq.com/v1/ads/ads/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartlyq.com/v1/ads/ads/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartlyq.com/v1/ads/ads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 7001,
"ad_set_id": 6001,
"campaign_id": 5001,
"name": "Carousel v2",
"ad_set_name": "US 25-45 Interests",
"status": "active",
"format": "image",
"headline": "20% off this week only",
"spent": 32.1,
"impressions": 12050,
"clicks": 230,
"ctr": 1.91,
"conversions": 9,
"cpa": 3.57,
"platform": "meta",
"destination_url": "https://example.com/spring-sale"
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Post not found.",
"details": {}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}⌘I
Get an ad

